Bug 1489114 - segfault when specifying (unavailable) xz compression
Summary: segfault when specifying (unavailable) xz compression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dar
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 17:42 UTC by mwp.junk
Modified: 2017-12-10 22:45 UTC (History)
4 users (show)

Fixed In Version: dar-2.5.13-1.fc26 dar-2.5.13-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1350122
Environment:
Last Closed: 2017-12-10 20:14:58 UTC


Attachments (Terms of Use)

Description mwp.junk 2017-09-06 17:42:26 UTC
+++ This bug was initially created as a clone of Bug #1350122 +++

Description of problem:
Passing option "--compression=xz:6" during a create operation causes a segmentation fault.

Version-Release number of selected component (if applicable):
dar-2.5.2-2.fc24.x86_64

Additional info:
xz support was actually disabled from libdar at compile time; i.e.
$ dar -V | fgrep xz
   Liblzma compression (xz)     : NO

Note that a new version of dar might be on its way soon:
https://bugzilla.redhat.com/show_bug.cgi?id=1295757

--- Additional comment from Fedora End Of Life on 2017-07-25 17:18:17 EDT ---

This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

--- Additional comment from  on 2017-08-05 19:17:46 EDT ---

Same issue on F26:

 dar version 2.5.5, Copyright (C) 2002-2052 Denis Corbin
   Long options support       : YES

 Using libdar 5.8.1 built with compilation time options:
   Libz compression (gzip)      : YES
   Libbz2 compression (bzip2)   : YES
   Liblzo2 compression (lzo)    : YES
   Liblzma compression (xz)     : NO
   Strong encryption (libgcrypt): YES
   Public key ciphers (gpgme)   : NO
   Extended Attributes support  : YES
   Large files support (> 2GB)  : YES
   ext2fs NODUMP flag support   : YES
   Special allocation scheme    : NO
   Integer size used            : unlimited
   Thread safe support          : YES
   Furtive read mode support    : YES
   Linux ext2/3/4 FSA support   : YES
   Mac OS X HFS+ FSA support    : NO
   Detected system/CPU endian   : little
   Posix fadvise support        : YES
   Large dir. speed optimi.     : YES
   Timestamp read accuracy      : 1 microsecond
   Timestamp write accuracy     : 1 microsecond
   Restores dates of symlinks   : YES

 compiled the Feb 10 2017 with GNUC version 7.0.1 20170204 (Red Hat 7.0.1-0.6)
 dar is part of the Disk ARchive suite (Release 2.5.5)
 dar comes with ABSOLUTELY NO WARRANTY; for details
 type `dar -W'. This is free software, and you are welcome
 to redistribute it under certain conditions; type `dar -L | more'
 for details.

--- Additional comment from Fedora End Of Life on 2017-08-08 11:03:03 EDT ---

Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Fedora Update System 2017-11-21 20:36:20 UTC
dar-2.5.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8eda15a61

Comment 2 Fedora Update System 2017-11-21 20:36:39 UTC
dar-2.5.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-79af84d542

Comment 3 Fedora Update System 2017-11-21 20:36:51 UTC
dar-2.5.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2b1001fb5b

Comment 4 Fedora Update System 2017-11-22 21:39:23 UTC
dar-2.5.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-79af84d542

Comment 5 Fedora Update System 2017-11-25 00:53:15 UTC
dar-2.5.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2b1001fb5b

Comment 6 Fedora Update System 2017-11-25 01:32:34 UTC
dar-2.5.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8eda15a61

Comment 7 Fedora Update System 2017-12-10 20:14:58 UTC
dar-2.5.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-12-10 22:45:54 UTC
dar-2.5.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.